com.hazelcast.config

## Class DiscoveryStrategyConfig

- java.lang.Object
- - com.hazelcast.config.DiscoveryStrategyConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

      public class DiscoveryStrategyConfig
      extends Object
      implements IdentifiedDataSerializable

  This configuration class describes a `DiscoveryStrategy` based on a parsed XML or configured manually using the config API

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryStrategyConfig()`
    `DiscoveryStrategyConfig(DiscoveryStrategyConfig config)`
    `DiscoveryStrategyConfig(DiscoveryStrategyFactory discoveryStrategyFactory)`
    `DiscoveryStrategyConfig(DiscoveryStrategyFactory discoveryStrategyFactory, Map<String,Comparable> properties)`
    `DiscoveryStrategyConfig(String className)`
    `DiscoveryStrategyConfig(String className, Map<String,Comparable> properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(String key, Comparable value)`
    `String` | `getClassName()`
    `DiscoveryStrategyFactory` | `getDiscoveryStrategyFactory()`
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `int` | `getId()` Returns type identifier for this class.
    `Map<String,Comparable>` | `getProperties()`
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `void` | `removeProperty(String key)`
    `DiscoveryStrategyConfig` | `setClassName(String className)`
    `DiscoveryStrategyConfig` | `setDiscoveryStrategyFactory(DiscoveryStrategyFactory discoveryStrategyFactory)`
    `DiscoveryStrategyConfig` | `setProperties(Map<String,Comparable> properties)`
    `String` | `toString()`
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryStrategyConfig

          public DiscoveryStrategyConfig()

    - #### DiscoveryStrategyConfig

          public DiscoveryStrategyConfig(String className)

    - #### DiscoveryStrategyConfig

          public DiscoveryStrategyConfig(String className,
                                         Map<String,Comparable> properties)

    - #### DiscoveryStrategyConfig

          public DiscoveryStrategyConfig(DiscoveryStrategyFactory discoveryStrategyFactory)

    - #### DiscoveryStrategyConfig

          public DiscoveryStrategyConfig(DiscoveryStrategyFactory discoveryStrategyFactory,
                                         Map<String,Comparable> properties)

    - #### DiscoveryStrategyConfig

          public DiscoveryStrategyConfig(DiscoveryStrategyConfig config)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public DiscoveryStrategyConfig setClassName(String className)

    - #### setDiscoveryStrategyFactory

          public DiscoveryStrategyConfig setDiscoveryStrategyFactory(DiscoveryStrategyFactory discoveryStrategyFactory)

    - #### getDiscoveryStrategyFactory

          public DiscoveryStrategyFactory getDiscoveryStrategyFactory()

    - #### addProperty

          public void addProperty(String key,
                                  Comparable value)

    - #### removeProperty

          public void removeProperty(String key)

    - #### setProperties

          public DiscoveryStrategyConfig setProperties(Map<String,Comparable> properties)

    - #### getProperties

          public Map<String,Comparable> getProperties()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

Copyright © 2019. All rights reserved.